<template>
	<div class="main" v-if="userStore.isPcorH">
		<!-- 六大优势 -->
		<div class="allwidth">
			<p
				data-aos="fade-up"
				class="sixtitle center font-size24 margin-bottom48">
				{{ t("storeinfo.sixtitle") }}
			</p>
			<div class="sixgoods">
				<div
					class="sixlist center"
					:data-aos="item.aos"
					v-for="item in sixgood"
					:key="item.value">
					<div class="goodimgs">
						<el-image
							class="imagenei transition"
							:src="item.img"
							fit="cover"></el-image>
					</div>

					<p class="font-size18 margin-top2 SourceHanSansCN-Medium">
						{{ item.title }}
					</p>
					<p class="font-size14 line-height18 color666 goodcontent">
						{{ item.content }}
					</p>
				</div>
			</div>
		</div>
		<!-- 九大支持 -->
		<div class="topxian margin-top90"></div>
		<div class="ninewai padding-top66 padding-bottom66">
			<div class="allwidth">
				<!-- 上面部分 -->
				<div class="ninelist">
					<div
						class="nines"
						:style="{
							flexDirection:
								index % 2 == 1 ? 'column-reverse' : 'column',
						}"
						:data-aos="index % 2 == 0 ? 'fade-up' : 'fade-down'"
						v-for="(item, index) in ninelist.list1"
						:key="index">
						<div
							class="index"
							:style="{
								color: item.color,
							}">
							0{{ index + 1 }}
						</div>
						<div
							v-if="index % 2 == 0"
							class="ninescenter"
							:style="{
								backgroundColor: item.backcolor,
							}">
							<p class="font-size18 center margin-top45">
								{{ item.title }}
							</p>
							<p
								class="margin-top21 font-size14 color666 center padding-left47 padding-right47">
								{{ item.content }}
							</p>
							<el-image
								class="nineimg"
								fit="cover"
								style="margin-top: auto; margin-bottom: 40px"
								:src="item.img"></el-image>
						</div>
						<div
							v-else
							class="ninescenter"
							:style="{
								backgroundColor: item.backcolor,
							}">
							<el-image
								class="nineimg margin-top33"
								fit="cover"
								:src="item.img"></el-image>
							<p class="font-size18 center margin-top45">
								{{ item.title }}
							</p>
							<p
								class="margin-top21 font-size14 color666 center padding-left47 padding-right47">
								{{ item.content }}
							</p>
						</div>
					</div>
					<div class="ninetitle" data-aos="flip-up">
						{{ t("storeinfo.ninetitle") }}
					</div>
				</div>
				<!-- 下面部分 -->
				<div class="ninelist margin-top30">
					<div
						class="nines"
						:style="{
							flexDirection:
								index % 2 == 1 ? 'column-reverse' : 'column',
						}"
						v-for="(item, index) in ninelist.list2"
						:data-aos="index % 2 == 0 ? 'fade-up' : 'fade-down'"
						:key="index">
						<div
							class="index"
							:style="{
								color: item.color,
							}">
							0{{ index + 5 }}
						</div>
						<div
							v-if="index % 2 == 0"
							class="ninescenter"
							:style="{
								backgroundColor: item.backcolor,
							}">
							<p class="font-size18 center margin-top45">
								{{ item.title }}
							</p>
							<p
								class="margin-top21 font-size14 color666 center padding-left47 padding-right47">
								{{ item.content }}
							</p>
							<el-image
								class="nineimg"
								fit="cover"
								style="margin-top: auto; margin-bottom: 40px"
								:src="item.img"></el-image>
						</div>
						<div
							v-else
							class="ninescenter"
							:style="{
								backgroundColor: item.backcolor,
							}">
							<el-image
								class="nineimg margin-top33"
								fit="cover"
								:src="item.img"></el-image>
							<p class="font-size18 center margin-top45">
								{{ item.title }}
							</p>
							<p
								class="margin-top21 font-size14 color666 center padding-left47 padding-right47">
								{{ item.content }}
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="mainh5" v-else>
		<!-- 六大优势 -->
		<div>
			<!-- <div class="topxian margin-top40"></div> -->
			<p
				class="sixtitle center margin-bottom24 SourceHanSansCN-Medium"
				data-aos="fade-up">
				{{ t("storeinfo.sixtitle") }}
			</p>
			<div class="sixgoods">
				<div
					:data-aos="item.h5aos"
					class="sixlist center"
					v-for="item in sixgood"
					:key="item.value">
					<el-image
						class="goodimgs"
						:src="item.img"
						fit="cover"></el-image>
					<p class="sixgoodstitle SourceHanSansCN-Medium">
						{{ item.title }}
					</p>
					<p class="color666 goodcontent">
						{{ item.content }}
					</p>
				</div>
			</div>
		</div>
		<!-- 九大支持 -->
		<div class="topxian margin-top45"></div>
		<p
			class="sixtitle center margin-top24 margin-bottom24"
			data-aos="fade-up">
			{{ t("storeinfo.ninetitle") }}
		</p>
		<div class="ninelist">
			<div
				class="nines"
				:style="{
					flexDirection: index % 2 == 1 ? 'column-reverse' : 'column',
				}"
				:data-aos="index % 2 == 0 ? 'fade-up' : 'fade-down'"
				v-for="(item, index) in ninelisth5"
				:key="index">
				<div
					class="index"
					:style="{
						color: item.color,
					}">
					0{{ index + 1 }}
				</div>
				<div
					v-if="index % 2 == 1"
					class="ninescenter"
					:style="{
						backgroundColor: item.backcolor,
					}">
					<p class="ninelisttitle center">
						{{ item.title }}
					</p>
					<p class="ninelistcontent color666 center">
						{{ item.content }}
					</p>
					<el-image
						class="nineimg"
						fit="cover"
						style="margin-top: 20px; margin-bottom: 40px"
						:src="item.img"></el-image>
				</div>
				<div
					v-else
					class="ninescenter"
					:style="{
						backgroundColor: item.backcolor,
					}">
					<el-image
						class="nineimg margin-top20"
						fit="cover"
						:src="item.img"></el-image>
					<p class="ninelisttitle center">
						{{ item.title }}
					</p>
					<p class="ninelistcontent color666 center">
						{{ item.content }}
					</p>
				</div>
			</div>
		</div>
	</div>
</template>

<script setup>
import { useI18n } from "vue-i18n";
import useUserStore from "~/store/index";
import { ref } from "vue";
import { resolvePath } from "@/utils/index.js";
const { t } = useI18n();
const userStore = useUserStore();
const ninelist = ref({
	list1: [
		{
			img: resolvePath("static/images/store/nine1.png"),
			title: computed(() => t("storeinfo.ninelisttitle1")),
			content: computed(() => t("storeinfo.ninelistcontent1")),
			backcolor: "#46BFE5",
			color: "#46BFE5",
		},
		{
			img: resolvePath("static/images/store/nine2.png"),
			title: computed(() => t("storeinfo.ninelisttitle2")),
			content: computed(() => t("storeinfo.ninelistcontent2")),
			backcolor: "#D9D9D9",
			color: "#000000",
		},
		{
			img: resolvePath("static/images/store/nine3.png"),
			title: computed(() => t("storeinfo.ninelisttitle3")),
			content: computed(() => t("storeinfo.ninelistcontent3")),
			backcolor: "#F2C14E",
			color: "#F2C14E",
		},
		{
			img: resolvePath("static/images/store/nine4.png"),
			title: computed(() => t("storeinfo.ninelisttitle4")),
			content: computed(() => t("storeinfo.ninelistcontent4")),
			backcolor: "#D9D9D9",
			color: "#000000",
		},
	],
	list2: [
		{
			img: resolvePath("static/images/store/nine6.png"),
			title: computed(() => t("storeinfo.ninelisttitle5")),
			content: computed(() => t("storeinfo.ninelistcontent5")),
			backcolor: "#F2C14E",
			color: "#F2C14E",
		},
		{
			img: resolvePath("static/images/store/nine7.png"),
			title: computed(() => t("storeinfo.ninelisttitle6")),
			content: computed(() => t("storeinfo.ninelistcontent6")),
			backcolor: "#D9D9D9",
			color: "#000000",
		},
		{
			img: resolvePath("static/images/store/nine8.png"),
			title: computed(() => t("storeinfo.ninelisttitle7")),
			content: computed(() => t("storeinfo.ninelistcontent7")),
			backcolor: "#46BFE5",
			color: "#46BFE5",
		},
		{
			img: resolvePath("static/images/store/nine9.png"),
			title: computed(() => t("storeinfo.ninelisttitle8")),
			content: computed(() => t("storeinfo.ninelistcontent8")),
			backcolor: "#D9D9D9",
			color: "#000000",
		},
		{
			img: resolvePath("static/images/store/nine10.png"),
			title: computed(() => t("storeinfo.ninelisttitle9")),
			content: computed(() => t("storeinfo.ninelistcontent9")),
			backcolor: "#46BFE5",
			color: "#46BFE5",
		},
	],
});
// h5 9大
const ninelisth5 = computed(() => {
	return [...ninelist.value.list1, ...ninelist.value.list2];
});
const active = ref(0);
const tab = ref([
	{
		title: computed(() => t("storeinfo.store1")),
		img: resolvePath("static/images/store/store1.png"),
		content: computed(() => t("storeinfo.list1content1")),
		value: 0,
	},
	{
		title: computed(() => t("storeinfo.store2")),
		img: resolvePath("static/images/store/store2.png"),
		content: computed(() => t("storeinfo.list1content1")),
		value: 1,
	},
	{
		title: computed(() => t("storeinfo.store3")),
		img: resolvePath("static/images/store/store3.png"),
		content: computed(() => t("storeinfo.list1content1")),
		value: 2,
	},
]);
const sixgood = ref([
	{
		aos: "fade-down-right",
		h5aos: "fade-down-right",
		img: resolvePath("static/images/store/verygood1.png"),
		title: computed(() => t("storeinfo.sixlisttitle1")),
		content: computed(() => t("storeinfo.sixlistcontent1")),
	},
	{
		h5aos: "fade-down-left",
		aos: "fade-down",
		img: resolvePath("static/images/store/verygood2.png"),
		title: computed(() => t("storeinfo.sixlisttitle2")),
		content: computed(() => t("storeinfo.sixlistcontent2")),
	},
	{
		h5aos: "fade-right",
		aos: "fade-down-left",
		img: resolvePath("static/images/store/verygood3.png"),
		title: computed(() => t("storeinfo.sixlisttitle3")),
		content: computed(() => t("storeinfo.sixlistcontent3")),
	},
	{
		h5aos: "fade-left",
		aos: "fade-up-right",
		img: resolvePath("static/images/store/verygood4.png"),
		title: computed(() => t("storeinfo.sixlisttitle4")),
		content: computed(() => t("storeinfo.sixlistcontent4")),
	},
	{
		h5aos: "fade-up-right",
		aos: "fade-up",
		img: resolvePath("static/images/store/verygood5.png"),
		title: computed(() => t("storeinfo.sixlisttitle5")),
		content: computed(() => t("storeinfo.sixlistcontent5")),
	},
	{
		h5aos: "fade-up-left",
		aos: "fade-up-left",
		img: resolvePath("static/images/store/verygood6.png"),
		title: computed(() => t("storeinfo.sixlisttitle6")),
		content: computed(() => t("storeinfo.sixlistcontent6")),
	},
]);
</script>

<style lang="scss" scoped>
.main {
	padding-top: 39px;
	.tab {
		display: flex;
		font-size: 18px;
		gap: 73px;
		justify-content: center;
	}
	.activetab {
		color: #46bfe5;
	}
	.store {
		margin-top: 44px;
		.storeinfo {
			display: flex;
			flex-direction: column;
			padding-top: 13px;
			flex: 1;
			.content {
				background-color: #46bfe5;
				padding: 20px;
				width: 100%;
				z-index: 2;
				color: white;
			}
			.infoimg {
				display: grid;
				gap: 8px;
				grid-template-columns: repeat(3, 1fr);
				margin-top: auto;
				.infoimgs {
					cursor: pointer;
					aspect-ratio: 1.44;
				}
			}
		}
		.storeimg {
			width: 50%;
			// height: 380px;
			aspect-ratio: 1.44;
		}
	}

	.sixgoods {
		width: 100%;
		display: grid;
		gap: 10px;
		background-color: white;
		grid-template-columns: repeat(3, 1fr);
		.sixlist {
			height: 370px;
			box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.1);
			cursor: pointer;
			.goodimgs {
				width: 100%;
				height: 270px;
				display: flex;
				align-items: center;
				justify-content: center;
				overflow: hidden;
				.imagenei {
					width: 100%;
					height: 100%;
				}
				&:hover {
					.imagenei {
						transform: scale(1.2);
					}
				}
			}
			.goodcontent {
				width: 80%;
				margin: auto;
			}
		}
	}
	.sixgoods2 {
		width: 75%;
		grid-template-columns: repeat(3, 1fr);
		margin: auto;
		margin-top: 20px;
	}
	.ninewai {
		width: 100%;
		background-color: #f5f5f5;
	}
	.ninelist {
		display: flex;
		display: grid;
		grid-template-columns: repeat(5, 1fr);
		.nines {
			box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.1);
			display: flex;
			flex-direction: column;
			height: 450px;
			.index {
				font-size: 55px;
				background-color: white;
				height: 120px;
				width: 100%;
				text-align: center;
				line-height: 120px;
			}
			.ninescenter {
				flex: 1;
				display: flex;
				flex-direction: column;
				align-items: center;
				.nineimg {
					display: block;
					height: auto;
					width: 68px;
					// margin: auto;
				}
			}
		}
		.ninetitle {
			writing-mode: vertical-lr;
			font-family: "SourceHanSansCN-Medium";
			font-size: 24px;
			display: flex;
			align-items: center;
			justify-content: center;
			// letter-spacing: 10px;
		}
	}
}
.mainh5 {
	max-width: 100vw;
	padding-top: 29px;
	.h5storemodel {
		padding: 0 15px;
		.tab {
			display: flex;
			font-size: 0.32rem;
			gap: 1rem;
			justify-content: center;
		}
		.activetab {
			color: #46bfe5;
		}
		.store {
			margin-top: 25px;
			.storeinfo {
				display: flex;
				flex-direction: column;
				flex: 1;
				.storeinfop2 {
					font-size: 0.28rem;
				}
				.storeimg {
					width: 100%;
					margin-top: 15px;
				}
				.infoimg {
					display: grid;
					gap: 10px;
					grid-template-columns: repeat(3, 1fr);
					margin-top: 10px;
					.infoimgs {
						cursor: pointer;
						aspect-ratio: 1.6;
					}
				}
			}
		}
	}
	.sixtitle {
		font-size: 0.4rem;
	}
	.sixgoods {
		width: 100%;
		display: grid;
		gap: 10px;
		background-color: white;
		padding: 0 15px;
		grid-template-columns: repeat(2, 1fr);

		.sixlist {
			box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.1);
			.goodimgs {
				width: 100%;
				aspect-ratio: 1.54;
			}
			.sixgoodstitle {
				font-size: 0.32rem;
				padding-top: 0.2rem;
			}
			.goodcontent {
				font-size: 0.28rem;
				width: 80%;
				margin: auto;
				padding-bottom: 0.2rem;
				padding-top: 0.1rem;
			}
		}
	}
	.sixgoods2 {
		width: 75%;
		grid-template-columns: repeat(3, 1fr);
		margin: auto;
		margin-top: 20px;
	}
	.ninewai {
		width: 100%;
		background-color: #f5f5f5;
	}
	.ninelist {
		padding: 0 15px;
		display: grid;
		grid-template-columns: repeat(3, 1fr);
		margin-bottom: 39px;
		.nines {
			box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.1);
			display: flex;
			flex-direction: column;
			// min-height: 5rem;

			.index {
				font-size: 0.8rem;
				background-color: white;
				height: 1.4rem;
				width: 100%;
				text-align: center;
				line-height: 1.4rem;
			}
			.ninescenter {
				flex: 1;
				display: flex;
				flex-direction: column;
				align-items: center;
				padding: 0.4rem 0;
				.ninelisttitle {
					font-size: 0.32rem;
					margin-top: 0.4rem;
				}
				.ninelistcontent {
					width: 90%;
					margin: auto;
					font-size: 0.28rem;
					margin-top: 0.4rem;
				}
				.nineimg {
					display: block;
					height: auto;
					width: 30%;
					// margin-top: 0.4rem;
					// margin: auto;
				}
			}
		}
		.ninetitle {
			writing-mode: vertical-lr;
			font-family: "SourceHanSansCN-Medium";
			font-size: 0.32rem;
			display: flex;
			align-items: center;
			justify-content: center;
			// letter-spacing: 10px;
		}
		.ninelistcontent {
			font-size: 0.28rem;
		}
	}
}
</style>
